[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.FindChildControl

Finds a child control with the specified name.

## Declaration

Source position: controls.pp line 2403

`public function TWinControl.FindChildControl(`
`const ControlName: string`
`):TControl;`

## Arguments

`ControlName` |  | The name of the control to find (case insensitive).

## Function result

Control with the given name or nil.

## Description

Only finds direct children, no recursion. The name is case insensitive.

Note that unique names are not guaranteed for components created in code (if they have different owners). Therefore, only the first matching control will be returned.